Subject: Re: [RFC PATCH v4 00/19] Modernize the build system

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Nov 2024 13:24:37 +0900

Patrick Steinhardt <[email-masked]> writes:

>> (2) There seems to be a difference in how symlinks and hardlinks are
>> handled in the install step.
>> 
>> Running "make prefix=$PWD/dist install" ends up with real files in
>> dist/bin/ (hardlinks) whereas with Meson all of the files in the bin/
>> directory are symlinks into ../libexec/.
>
> Yup, that's documented as part of the commit message that introduces
> Meson as one of the main differences.

Is there a way to disable that?  These symbolic-links pretending to
be installed files are quite annoying---when the target file is lost,
the links become useless.